Subject: [sipcore] I-D Action: draft-ietf-sipcore-digest-scheme-04.txt

From: [email-masked]
Date: Tue, 28 May 2019 06:23:41 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Session Initiation Protocol Core WG of the IETF.

        Title           : The Session Initiation Protocol (SIP) Digest Authentication Scheme
        Author          : Rifaat Shekh-Yusef
	Filename        : draft-ietf-sipcore-digest-scheme-04.txt
	Pages           : 8
	Date            : 2019-05-28

Abstract:
   This document updates the Digest Access Authentication scheme used by
   the Session Initiation Protocol (SIP) to add support for more secure
   digest algorithms, e.g.  SHA-256 and SHA-512-256, to replace the
   broken MD5 algorithm.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-sipcore-digest-scheme/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-sipcore-digest-scheme-04
https://datatracker.ietf.org/doc/html/draft-ietf-sipcore-digest-scheme-04

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-digest-scheme-04

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Tue, 28 May 2019 09:28:32 -0400

All,

I believe that I have addresses all the recent comments on v3.
Please, take a look and let me know if you have any further comments.

Regards,
 Rifaat

On Tue, May 28, 2019 at 9:25 AM <[email-masked]> wrote:

> _______________________________________________
> sipcore mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sipcore
>

---

From: "Olle E. Johansson" <[email-masked]>
Date: Tue, 28 May 2019 17:06:25 +0200

Thanks!
Many improvements, but :-)

Section 2.1:
" The Digest scheme has an 'algorithm' parameter that specifies the
   algorithm to be used to compute the digest of the response.  The IANA
   registry named "HTTP Digest Hash Algorithms" specifies the algorithms
   that correspond to 'algorithm' values, and specifies a priority for
   each algorithm.”

I think many of us pointed out the lack of a priority in the registry.
Did I miss a discussion about it? Curious if there is indeed a priority somewhere.

/O
> On 28 May 2019, at 15:28, Rifaat Shekh-Yusef <[email-masked]> wrote:
> 
> All,
> 
> On Tue, May 28, 2019 at 9:25 AM <[email-masked] <mailto:[email-masked]>> wrote:
> 
> https://datatracker.ietf.org/doc/draft-ietf-sipcore-digest-scheme/ <https://datatracker.ietf.org/doc/draft-ietf-sipcore-digest-scheme/>
> 
> https://tools.ietf.org/html/draft-ietf-sipcore-digest-scheme-04 <https://tools.ietf.org/html/draft-ietf-sipcore-digest-scheme-04>
> https://datatracker.ietf.org/doc/html/draft-ietf-sipcore-digest-scheme-04 <https://datatracker.ietf.org/doc/html/draft-ietf-sipcore-digest-scheme-04>
> 
> https://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-digest-scheme-04 <https://www.ietf.org/rfcdiff?url2=draft-ietf-sipcore-digest-scheme-04>
> 
> 
> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> 
> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/sipcore <https://www.ietf.org/mailman/listinfo/sipcore>

---

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Tue, 28 May 2019 12:58:59 -0400

I believe that I have answered this question before, but here it is again:

I do not think that we need to explicitly prioritize the algorithms,
because every time you add new algorithm the priority will change.
It is up to the server to decide on the priority based on the
placement of the algorithm in the response.

Regards,
 Rifaat

---

From: Christer Holmberg <[email-masked]>
Date: Tue, 28 May 2019 17:21:16 +0000

Hi,

I agree with Rifaat.

Also, would it really be within the scope of SIPCORE to prioritize the algorithms?

Regards,

Christer

From: sipcore <[email-masked]> on behalf of Rifaat Shekh-Yusef <[email-masked]>
Date: Tuesday, 28 May 2019 at 19.59
To: Olle Johansson <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [sipcore] I-D Action: draft-ietf-sipcore-digest-scheme-04.txt

I do not think that we need to explicitly prioritize the algorithms, because every time you add new algorithm the priority will change.

It is up to the server to decide on the priority based on the placement of the algorithm in the response.

Regards,

 Rifaat

On Tue, May 28, 2019 at 11:06 AM Olle E. Johansson <[email-masked]<mailto:[email-masked]>> wrote:
Thanks!
Many improvements, but :-)

Section 2.1:

   each algorithm.”

/O
On 28 May 2019, at 15:28, Rifaat Shekh-Yusef <[email-masked]<mailto:[email-masked]>> wrote:

All,

Regards,
 Rifaat

On Tue, May 28, 2019 at 9:25 AM <[email-masked]<mailto:[email-masked]>> wrote:

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org/>.

_______________________________________________
sipcore mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sipcore
_______________________________________________
sipcore mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/sipcore

---

From: "Olle E. Johansson" <[email-masked]>
Date: Wed, 29 May 2019 08:39:28 +0200

> On 28 May 2019, at 18:58, Rifaat Shekh-Yusef <[email-masked]> wrote:
> 

Yes, I noticed that answer :-)
But the draft text still claims that the IANA registry “specifies a priority”

I suggest that we remove ", and specifies a priority for each algorithm” from section 2.1.

/O
> 
> Regards,
>  Rifaat
> 
> On Tue, May 28, 2019 at 11:06 AM Olle E. Johansson <[email-masked] <mailto:[email-masked]>> wrote:
> Thanks!
>> On 28 May 2019, at 15:28, Rifaat Shekh-Yusef <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> All,
>>

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 29 May 2019 07:19:21 +0000

Hi,

> I suggest that we remove ", and specifies a priority for each algorithm” from section 2.1.

+1

The IANA registration template for new algorithms in RFC7616 does not include a priority value.

Regards,

Christer

On Tue, May 28, 2019 at 11:06 AM Olle E. Johansson <mailto:[email-masked]> wrote:
Thanks!
Many improvements, but :-)

Section 2.1: 

/O
On 28 May 2019, at 15:28, Rifaat Shekh-Yusef <mailto:[email-masked]> wrote:

All, 

Regards,
 Rifaat

On Tue, May 28, 2019 at 9:25 AM <mailto:[email-masked]> wrote:

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at http://tools.ietf.org/.

mailto:[email-masked]
mailto:[email-masked]

mailto:[email-masked]

---

From: Rifaat Shekh-Yusef <[email-masked]>
Date: Wed, 29 May 2019 06:53:51 -0400

Ah, I missed that one. I will fix it. Thanks!